From 04faf4dbd017c97f66153830a64756001b70933e Mon Sep 17 00:00:00 2001
From: Laurent Vivier <lvivier@redhat.com>
Date: Fri, 24 Mar 2017 10:53:01 +0100
Subject: migration: update HW_COMPAT_RHEL7_3

RH-Author: Laurent Vivier <lvivier@redhat.com>
Message-id: <20170324105301.29006-3-lvivier@redhat.com>
Patchwork-id: 74528
O-Subject: [PATCH v3 2/2] migration: update HW_COMPAT_RHEL7_3
Bugzilla: 1435086
RH-Acked-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
RH-Acked-by: Marcel Apfelbaum <marcel@redhat.com>
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>

The  "pci-bridge"/"shpc" part is needed to fix BZ1435086.

But all the other entries are needed to be able to migrate
a RHEL7.3 machine to RHEL7.4 host.

Signed-off-by: Laurent Vivier <lvivier@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
(cherry picked from commit 85704bac1522899cf735869d208a656906c2725d)
---
 include/hw/compat.h | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/include/hw/compat.h b/include/hw/compat.h
index 66320b5..b0c57ec 100644
--- a/include/hw/compat.h
+++ b/include/hw/compat.h
@@ -325,6 +325,38 @@
         .property = "x-ignore-backend-features",\
         .value    = "on",\
     },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "fw_cfg_mem",\
+        .property = "x-file-slots",\
+        .value    = stringify(0x10),\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "fw_cfg_io",\
+        .property = "x-file-slots",\
+        .value    = stringify(0x10),\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "pflash_cfi01",\
+        .property = "old-multiple-chip-handling",\
+        .value    = "on",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "pci-bridge",\
+        .property = "shpc",\
+        .value    = "on",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = TYPE_PCI_DEVICE,\
+        .property = "x-pcie-extcap-init",\
+        .value    = "off",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "virtio-pci",\
+        .property = "x-pcie-deverr-init",\
+        .value    = "off",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "virtio-pci",\
+        .property = "x-pcie-lnkctl-init",\
+        .value    = "off",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
+        .driver   = "virtio-pci",\
+        .property = "x-pcie-pm-init",\
+        .value    = "off",\
+    },{ /* HW_COMPAT_RHEL7_3 */ \
         .driver   = "e1000e",\
         .property = "__redhat_e1000e_7_3_intr_state",\
         .value    = "on",\
-- 
1.8.3.1

